// -*- c++ -*-
#ifndef DCOPIFACEDEMO_H
#define DCOPIFACEDEMO_H

#include <qvbox.h>
#include "dcopdemoiface.h"

class QMultiLineEdit;
class QPushButton;

/**
 * Example of how to add a DCOP interface to an app.
 *
 * @version $Id: dcopdemowidget.h,v 1.2 2002/02/17 01:39:26 rich Exp $
 * @author Richard Moore, rich@kde.org
 */
class DCOPDemoWidget : public QVBox, virtual public DCOPDemoIface
{
    Q_OBJECT

public:
    DCOPDemoWidget();
    ~DCOPDemoWidget();

    QString strVal() const { return str; }
    int numVal() const { return num; }

public slots:
    void setNumVal( int num );
    void setStrVal( const QString &str );

    void output( const QString &msg );
    void dump();

private:
    void createGUI();

    QMultiLineEdit *log;
    QPushButton *run;

    QString str;
    int num;
};

#endif // DCOPIFACEDEMO_H

// Local Variables:
// c-basic-offset: 4
// End:
