#include <qlabel.h>
#include <qvbox.h>

#include "propspagedemo.h"
#include "propspagedemo.moc"

extern "C" {
    void *init_libpropspagedemo() {
	return new PropsPageDemoFactory();
    }
};

PropsPageDemoFactory::PropsPageDemoFactory( QObject *parent, const char *name )
  : KLibFactory( parent, name )
{
  // Install the translations for our example
  //  KGlobal::locale()->insertCatalogue("koffice");
}

QObject *PropsPageDemoFactory::createObject( QObject* parent,
					     const char * /*name*/,
					     const char *classname,
					     const QStringList & )
{
    if ( strcmp( classname, "KPropsDlgPlugin" ) != 0 )
	return 0;

    if ( !( parent && parent->inherits("KPropertiesDialog") ) )
	return 0;

    qWarning( "propspagedemo: Ok, casting dlg" );

    KPropertiesDialog *propsDlg = static_cast<KPropertiesDialog *>( parent );
    QObject *obj = new PropsPageDemoPage( propsDlg );
    return obj;
}

PropsPageDemoPage::PropsPageDemoPage( KPropertiesDialog *props )
    : KPropsDlgPlugin( props )
{
    qWarning( "propspagedemo: page construction" );

    KFileItem *fi = props->item();
    qWarning( "propspagedemo: item is 0x%p", fi );
    KURL url = fi->url();
    QVBox *box = props->addVBoxPage( QString("URL Info") );
    new QLabel( QString("<b>URL:</b> %1").arg( url.url() ), box );
    new QLabel( QString("<b>Protocol:</b> %1").arg( url.protocol() ), box );
    new QLabel( QString("<b>Host:</b> %1").arg( url.host() ), box );
    new QLabel( QString("<b>Path:</b> %1").arg( url.path() ), box );
}


// Local Variables:
// c-basic-offset: 4
// End:

