// -*- c++ -*-

#ifndef PROPSPAGEDEMO_H
#define PROPSPAGEDEMO_H

#include <qobject.h>
#include <kpropsdlg.h>
#include <klibloader.h>

class KDialogBase;

/**
 * Factory for creating the demo properties page.
 *
 * @author Richard Moore, rich@kde.org
 */
class PropsPageDemoFactory : public KLibFactory
{
  Q_OBJECT

public:
  PropsPageDemoFactory( QObject *parent = 0, const char *name = 0 );
  virtual ~PropsPageDemoFactory() {}

  virtual QObject* createObject( QObject* parent = 0, const char* name = 0,
				 const char* classname = "QObject",
				 const QStringList &args = QStringList() );
};

/**
 * An example properties page plugin.
 *
 * @version $Id: propspagedemo.h,v 1.2 2002/02/16 19:48:35 rich Exp $
 * @author Richard Moore, rich@kde.org
 */
class PropsPageDemoPage : public KPropsDlgPlugin
{
  Q_OBJECT

public:
  PropsPageDemoPage( KPropertiesDialog *props );
  virtual ~PropsPageDemoPage() {}
};

#endif // PROPSPAGEDEMO_H

// Local Variables:
// c-basic-offset: 4
// End:

