/***************************************************************************
                          stdmenus.cpp  -  Creates dummy actions from a file
                             -------------------
    begin                : Wed Feb 28 23:56:30 GMT 2001
    copyright            : (C) 2001 by Richard Moore
    email                : rich@kde.org
 ***************************************************************************/

#include <qfile.h>
#include <qtextstream.h>
#include <qstring.h>
#include <kaction.h>
#include "stdmenus.h"

StdMenusApp::StdMenusApp(QWidget* , const char* name) : KMainWindow(0, name)
{
    QFile f("ui-std-actions.txt");

    if ( f.open(IO_ReadOnly) ) {
	QTextStream t( &f );

	while ( !t.eof() ) {
	    QString s = t.readLine();

	    new KAction( s, 0, actionCollection(), s.latin1() );
	}
	f.close();
    }

    setHelpMenuEnabled( false );
    createGUI();
    toolBar()->hide();
}

StdMenusApp::~StdMenusApp()
{
    // Nothing needed
}

// Local Variables:
// c-basic-offset: 4
// End:

